import client, { createUeuse } from "@/lib/client";
import ueuseModule from "better-uwuzu-sdk/types/1.6.8/types/modules/ueuse";
import i18next from "i18next";

export default async function followCommand(ueuse: ueuseModule) {
  const follow = await client.request("users/follow", {
    userid: ueuse.account.userid,
  });

  if (!follow.success) {
    console.warn("フォローに失敗:", follow.error_code);
    return;
  }

  console.log("フォロー:", follow.userid);

  await createUeuse({
    text: i18next.t("followedNotification", { username: ueuse.account.username }),
    replyid: ueuse.uniqid,
  }, "フォロー通知");
}